/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.model;

import java.io.Serializable;

public class UiErrorsAndData<T> implements Serializable {

	private static final long serialVersionUID = 1L;

	private UiErrors errors = new UiErrors();

	// This is here so the GWT serializer knows it needs to be able to serialize
	// this class.
	@SuppressWarnings("unused")
	private UiErrors notInUse1;

	@SuppressWarnings("unused")
	private UiSimpleError notInUse2;

	@SuppressWarnings("unused")
	private UiLocalizedError notInUse3;

	private T data;

	public void setData(T data) {
		this.data = data;
	}

	public T getData() {
		return data;
	}

	public void setErrors(UiErrors errors) {
		this.errors = errors;
	}

	public UiErrors getErrors() {
		return errors;
	}

}
