/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.widgets;

import com.google.gwt.user.client.ui.HTML;
import com.gwtorbit.client.model.UiData;
import com.gwtorbit.client.model.UiDataDisplay;
import com.gwtorbit.client.model.UiErrors;

public class UiHTML extends HTML implements UiDataDisplay {

	public void displayData(UiData uiData) {
		if (ignore) {
			return;
		}

		String val = null;
		if (dataName.indexOf(".") > -1) {
			String[] names = dataName.split("\\.");
			for (int i = 0; i < (names.length - 1); i++) {
				uiData = (UiData) uiData.getData(names[i]);
			}
			val = (String) uiData.getData(names[names.length - 1]);
		} else {
			val = (String) uiData.getData(dataName);
		}
		if (val == null) {
			setHTML("");
		} else {
			setHTML(val);
		}
	}

	public void getData(UiData uiData, UiErrors errors, String errorPrefix) {
		if (ignore) {
			return;
		}

		uiData.setData(dataName, getHTML());
	}

	public void clearData() {
		if (ignore) {
			return;
		}

		setHTML("");
	}

	private String dataName;

	private boolean ignore = false;

	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}

	public boolean getIgnore() {
		return ignore;
	}

	public void setIgnore(boolean ignore) {
		this.ignore = ignore;
	}

}
