package com.gwtorbit.client.widgets;

import java.util.Date;

import com.google.gwt.i18n.client.DateTimeFormat;
import com.google.gwt.user.client.ui.Label;
import com.gwtorbit.client.model.UiData;
import com.gwtorbit.client.model.UiDataDisplay;
import com.gwtorbit.client.model.UiErrors;
import com.gwtorbit.client.mvp.ClientResourceBundle;

public class UiLabelDate extends Label implements UiDataDisplay {

	public void displayData(UiData uiData) {
		if (ignore) {
			return;
		}

		if (dataName.indexOf(".") > -1) {
			String[] names = dataName.split("\\.");
			for (int i = 0; i < (names.length - 1); i++) {
				uiData = (UiData) uiData.getData(names[i]);
			}
			value = (Date) uiData.getData(names[names.length - 1]);
		} else {
			value = (Date) uiData.getData(dataName);
		}
		if (value == null) {
			setText("");
		} else {
			DateTimeFormat dateFormat = ClientResourceBundle.dateFormat;
			if (value.getYear() > -1900) {
				dateFormat = ClientResourceBundle.BCdateFormat;
			}
			
			if (phraseKey == null) {
				this.setText(dateFormat.format(value));
			} else {
				this.setText(ClientResourceBundle.getString(phraseKey,
						dateFormat.format(value)));
			}
		}
	}

	public void getData(UiData uiData, UiErrors errors, String errorPrefix) {
		if (ignore) {
			return;
		}

		uiData.setData(dataName, value);
	}

	public void clearData() {
		if (ignore) {
			return;
		}

		setText("");
		value = null;
	}

	private Date value;

	private String dataName;

	private String phraseKey;

	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}

	private boolean ignore = false;

	public boolean getIgnore() {
		return ignore;
	}

	public void setIgnore(boolean ignore) {
		this.ignore = ignore;
	}

	public void setPhraseKey(String phraseKey) {
		this.phraseKey = phraseKey;
	}

	public String getPhraseKey() {
		return phraseKey;
	}

}
